/*******************************************************************************
 * FoxUIContextMenuWidget generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxUIContextMenuWidget extends FoxUIBaseWidget within GFxMoviePlayer
    native(UI);

var private array<ContextMenuEntry> CurrentMenuOptions;

function Initialize(const out array<ContextMenuEntry> ContextMenuEntries)
{
    CurrentMenuOptions = ContextMenuEntries;
    //return;    
}

function Cleanup()
{
    ActionScriptVoid("close");
    //return;    
}

function int GetMenuOptionID(int Index)
{
    // End:0x50
    if((Index >= 0) && Index < CurrentMenuOptions.Length)
    {
        return CurrentMenuOptions[Index].OptionID;
    }
    return -1;
    //return ReturnValue;    
}

defaultproperties
{
    LocalizationPackageName="FoxMenuUI"
}